﻿var IsLoad = false;

(function () {
    "use strict";
    document.addEventListener('deviceready', onDeviceReady.bind(this), false);
    function onDeviceReady() {
        document.addEventListener("backbutton", onBackKeyDown, false);
        //处理查找联系人事件
        if ((localStorage.FirstOpen && localStorage.FirstOpen == 1) || !localStorage.Contacts) {
            localStorage.contactsGroup = ""; //清空缓存
            findContacts(Init); 
            localStorage.FirstOpen = 0;
        } else {
            var obj = document.getElementById("list");
            obj.innerHTML = localStorage.contactsGroup;
            Init();//初始化事件
        }
    }
    function onBackKeyDown() {
        layer.closeAll();
        //提示
        layer.open({
            content: '<div style="color:#fff;">再按一次退出</div>'
            , skin: 'msg'
            , time: 2 //2秒后自动关闭
        });

        document.removeEventListener("backbutton", onBackKeyDown, false); // 注销返回键
        document.addEventListener("backbutton", exitApp, false);//绑定退出事件
        // 3秒后重新注册
        var intervalID = window.setInterval(function () {
            window.clearInterval(intervalID);
            document.removeEventListener("backbutton", exitApp, false); // 注销返回键
            document.addEventListener("backbutton", onBackKeyDown, false); // 返回键
        }, 3000);
    }

    function exitApp() {
        navigator.app.exitApp();
    }

})();

$(function () {
    var menuContent = $(".menuMain ul");
    $(".menuHead").click(
        function (ev) {
            var oEvent = ev || event;
            menuContent.toggle();
            oEvent.cancelBubble = true;
            oEvent.stopPropagation();
        }
    );
    $(".menuContent").click(
        function (ev) {
            var oEvent = ev || event;
            oEvent.stopPropagation();
        }
    );

    $("body").click(
        function () {
            menuContent.hide();
        }
    );
    $("#divVidio").click(function () {
        layer.open({
            type: 1,
            title: '短信群发平台APP介绍',
            btn: ['关闭'],
            area: ['100%', '100%'],
            content: '<video width="100%" id="videoAbout" poster="images/appJs.jpg" src="http://106.sms10001.com/xinwenzhongxin/video/appJs.mp4" controls="controls" preload="auto"></video>'
        })
    })
});
//刷新客户端缓存
function refresh() {
    hideMenu();
    localStorage.contactsGroup = ""; //清空缓存
    findContacts(Init); 
}
function hideMenu() {
    $(".menuMain ul").hide();
}

//选择分组，开始发送
function groupSend() {
    var list = "#list :checkbox";
    var obj = document.getElementById("list2");
    if (obj) list = "#list2 :checkbox";

    $(list).each(function () {
        //获取已选择的所有号码id
        var groupName, groupId;
        if ($(this).is(':checked')) {
            groupName = $(this).attr("data_groupName");
            groupId = $(this).attr("data_groupId");
            if (groupId != -1) {
                addSendList(groupName);
            } else {//添加所有未分组用户
                addSendListOther();
            }
        }
     });
    
    //如果选择了收件人
    if (localStorage.Receive) {
        recUnique(); //收件人去重
        localStorage.InputType = 1;//默认从通讯录中导入
    }
   
    window.location.href = "Send.html";
}

//绑定事件(刷新dom后，需要重新绑定事件)
function Init() {
    GetCache_Contacts(); //从缓存中取数到变量
    //从服务器上获得联系人分组资料
     ShowGroup();
   
    //在分组中添加长按事件 (有兼容性问题)
    $(".spanGroupName").on("touchstart", function () { gTouchStart(event.target); });
    $(".spanGroupName").on("tsouchend", gTouchEnd);
    $(".spanGroupName").on("touchmove", gTouchMove);
    //缓存当前页面dom
    var obj = document.getElementById("list");
    if (obj) localStorage.contactsGroup = obj.innerHTML;
}

//显示分组
function ShowGroup() {
    var html = "";
    var groupName = "";
    var count = 0;
    var obj = document.getElementById("list");

    if (localStorage.contactsGroup) //显示缓存的分组 
    {
        html = localStorage.contactsGroup;
    }  else if (localStorage.groupName) {
        var groupNames = JSON.parse(localStorage.groupName);
        var groupList = JSON.parse(localStorage.groupList);

        for (var i = 0; i < groupNames.length; i++) {
            groupName = groupNames[i];
            count = GroupCount(groupName);
            html += "<li><a href='GroupList.html?groupName=" + groupName + "'><span class='spanImg'></span><span class=\"spanGroupName\">" + groupName +
                "(" + count + "个)</span></a><span class=\"spanCheck\"><input type=\"checkbox\" data_groupName=\"" + groupName +
                "\" data_groupId=\"" + i + "\" /></span></li>";
        }
        count = GroupCountOther();
        html += "<li><a href='contactsOtherList.html'>" +
            "<span class='spanImg'></span><span class=\"spanGroupName2\">未分组联系人("+count+ "个)</span></a><span class=\"spanCheck\"><input type=\"checkbox\" data_groupName=\"未分组联系人\" " +
            " data_groupId=\"-1\"/></span></li>";
        localStorage.contactsGroup = html;
    }
    else {//如果是游客，显示所有联系人分组
        html += "<li><a href='Contacts.html'>" +
            "<span class='spanImg'></span><span class=\"spanGroupName2\">所有联系人</span></a><span class=\"spanCheck\"><input type=\"checkbox\" data_groupName=\"未分组联系人\" " +
            " data_groupId=\"-1\"/></span></li>";
    }
    obj.innerHTML = html;
    bindChkEvent(); //绑定事件
}
//========新增分组=========
//长按后弹出对话框
function dialogMenu(groupName) {
    timeOutEvent = 0;
    //执行长按要执行的内容，如弹出菜单 
    var sContent = '<ul class="dia"> <li onClick="SendMsg(\'' + groupName + '\')">发送信息</li>';
    sContent += '<li onClick="window.location=\'GroupList.html?groupName=' + groupName + '\'">查看分组</li>';
    sContent += '<li onClick="ShowEditGroup(\'' + groupName + '\')">修改分组名称</li>';
    sContent += '<li onClick="dialogMoveContacts(\'' + groupName + '\')">添加成员</li>';
    sContent += '<li onClick="ShowDelGroup(\'' + groupName + '\')">删除分组</li></ul>';

    layer.open({
        title: [
        groupName,
        ' border-bottom:solid 1px #f3f3f3;'
        ],
        content: sContent,
        btn: ['确定', '取消']
    });
}

//新增联系人对话框
function dialogAddContact() {
    hideMenu();
    var content = '<input id="txtGroupName" style="width: 100%;height: 25px; text - indent:5px; line - height:25px; border - radius: 5px; border: 1px solid #DBDBDB" maxlength="50" size="20"/>';
    content = '<table width="100%" border="0" cellspacing="0" cellpadding="0" class="ltable">';
    content += '<tr style="height:40px;"><td align="left">联系人:&nbsp;&nbsp;</td><td><input id="txtContactName" style="padding:2px 2px 2px 6px; width: 100%;height: 25px; text - indent:5px; line - height:25px; border - radius: 5px; border: 1px solid #DBDBDB" maxlength="50" size="20"/></td></tr>';
    content += '<tr style="height:40px;"><td align="left">电话:&nbsp;&nbsp;</td><td><input id="txtContactTel"   style="padding:5px 2px 2px 2px; width: 100%;height: 25px; text - indent:5px; line - height:25px; border - radius: 5px; border: 1px solid #DBDBDB" maxlength="50" size="20"/></td></tr>';
    content += '</table>';
    layer.open({
        title: '添加联系人',
        type:3,
        content: content,
        btn: ['确定', '取消'],
        yes: function (index) {
            var name = "";
            var tel = "";
            var objName = document.getElementById("txtContactName");
            var objTel = document.getElementById("txtContactTel");
            if (objName && objTel) {
                name = objName.value;
                tel = objTel.value;
                if (name && tel) {
                    if (isMobile(tel)) {
                        saveContact(name, tel);
                    } else {
                        alert2("请输入正确的手机号码"); return false;
                    }
                    
                } else {
                    alert2("联系人名称或电话不能为空"); return false;
                }
            }
             layer.close(index);
        }
    });
}
//显示新增分组对话框
function ShowAddGroup() {
    $(".menuMain ul").hide();
    layer.open({
        title: '新增分组',
        content: '<input id="txtGroupName" style="width:100%;height:25px; text-indent:5px; line-height:25px; border-radius: 5px; border:1px solid #DBDBDB" maxlength="50" size="20"/>',
        btn: ['确定', '取消'],
        yes: function (index) { SaveAddGroup(); layer.close(index); }
    });
}

//本地新增分组(更新本地缓存数据)
function localAddGroup(groupName) {
    var groupNames = JSON.parse(localStorage.groupName);
    var groupList = JSON.parse(localStorage.groupList);
    groupNames.push(groupName);
    groupList.push(new Array()); //添加一个空数组
    localStorage.groupName = JSON.stringify(groupNames);
    localStorage.groupList = JSON.stringify(groupList);
    //更新本地缓存
    localStorage.contactsGroup = "";
}

//在服务器上保存分组
function SaveAddGroup() {
    var groupName = document.getElementById("txtGroupName").value;
    if (groupName && groupName !== "") {
        groupName = groupName.trim();
        //1,查看有没有重名分组名称
        try {
            var groupNames = JSON.parse(localStorage.groupName);
            for (var i = 0; i < groupNames.length; i++) {
                if (groupName === groupNames[i]) { alert("已经存在相同的分组"); return; }
            }
        } catch (e) {
            //表示本地没有存储分组名，或转换json时出错
            return;
        }

        //2,在服务器上保存分组值
        $.ajax({
            type: "POST",
            url: "http://msg.106117.com/contacts_ajax.ashx",
            dataType: "jsonp",
            data: {
                "token": localStorage.token,
                "action": "addGroup",
                "groupName": groupName
            },
            timeout: 30000,
            crossDomain: true,
            success: function (data, textStatus) {
                if (data.status === 1) {
                    if (typeof (data.url) === "undefined") {
                        //在这里刷新一下分组
                        localAddGroup(groupName); //更新本地数据
                        Init(); //刷新列表
                    } else {
                        location.href = data.url;
                    }
                } else {
                    alert('保存分组失败：' + data.msg);
                }
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                alert2("出错提示：" + errorThrown); 
            }
        });
    }
}

//发送当前分组信息
function SendMsg(groupName) {
    if (groupName) {
        addSendList(groupName);
    }
    window.location.href = "Send.html";
}
//下面是长按事件

var timeOutEvent = 0; //定时时间
//开始按 
function gTouchStart(obj) {
    var groupName ="";
    try {
        groupName = obj.innerText;
        //去掉分组名后的长度
        var n1 = groupName.indexOf("(");
        groupName = groupName.slice(0, n1);

    if (groupName !== null)
        timeOutEvent = setTimeout("dialogMenu(\"" + groupName + "\")", 500);//这里设置定时器，定义长按500毫秒触发长按事件 
    } catch (e) { alert(e.message);}
    return true;
};

//手释放，如果在500毫秒内就释放，则取消长按事件，此时可以执行onclick应该执行的事件 
function gTouchEnd() {
    //alert("鼠标松开");
    clearTimeout(timeOutEvent);//清除定时器 
    if (timeOutEvent !== 0) {
        //这里写要执行的内容（尤如onclick事件） 
        //alert("aa");
    }
    return true;
};
//如果手指有移动，则取消所有事件，此时说明用户只是要移动而不是长按 
function gTouchMove() {
    clearTimeout(timeOutEvent);//清除定时器 
    timeOutEvent = 0;
};

//关闭提示框
function divClose() {
    var floatDiv = document.getElementById('floatDiv'),
        screen = document.getElementById('screen');
    floatDiv.style.display = 'none';
    screen.style.display = 'none';
}