﻿var GroupName = "";
var groupContacts = {}; //当前缓存的分组数据


$(document).ready(function () {

    GroupName = decodeURI(Request("groupName")); //注意ready与onDeviceReady 事件的顺序

    GetCache_Contacts();
    var title = GroupName;
    if (!title) {
        title = "未分组联系人";
    }

    var pageTitle = document.getElementById("pageTitle");
    if (pageTitle) {pageTitle.innerText = title;}//设置抬头
    
    if (GroupName) {
        var btnAdd2 = document.getElementById("btnAddContacts");
        if (btnAdd2) {
            btnAdd2.onclick = function () { dialogMoveContacts(GroupName);}
        }

        //绑定删除功能
        var btnDelContacts = document.getElementById("btnDelContacts");
        btnDelContacts.onclick = ShowDelContacts;
        ShowContactsList();
    } else {
        //不显示添加成员按钮及下面操作按钮
        //if (obj1) obj1.style.visibility = "hidden";
        var obj2 = document.getElementsByClassName("bottom")[0];
        if (obj2) obj2.style.visibility = "hidden";
        ShowOtherContacts();
    }

    //通用初始化字母导航
    groupContacts = getContacts(GroupName); //获取分组联系人数据

    if (JSON.stringify(groupContacts) != "{}") {
        JsonArry(groupContacts);//重新处理数据

        var dataArry = JSON.parse(localStorage.newContacts);
        var arrCheckValue = JSON.parse(localStorage.newChar);

        //初始化数据加载
        jqVirtualTable.data = dataArry;
        jqVirtualTable.pageRows = 25;
        jqVirtualTable.init("data", "item-container");

        //初始化字母导航
        new IndexSidebar().on('charChange', gotoChar);

    }
});

//显示列表
function ShowContactsList() {
    ShowContacts(GroupName, "list"); 
    bindChkEvent(); //test
}

//刷新列表(直接从缓存中刷新)
function refreshList() {
    var html = "", li = "";
    var contact, arrContact = null;
    var groupId = GetGroupId(GroupName);
    var username, tel, contactId;
    var obj = document.getElementById("list");
    if (groupId !== -1) {
        var contactsOne = ArrGroupList[groupId].toString();
        if (contactsOne) {
            var arrContactsOne = contactsOne.split(",");
            for (var i = 0; i < arrContactsOne.length; i++) {
                contact = ArrContacts["id"+arrContactsOne[i]].toString();
                if (contact) {
                    arrContact = contact.split(",");
                    username = arrContact[0];
                    tel = arrContact[1];
                    contactId = arrContact[2]; //得到联系人id号

                    li = '<li><span class="spanCheck"><input type="checkbox" data_username="' + username + '" data_tel="' +
                    tel + '" data_id="' + contactId + '"/></span> <span class="spanUsername">' +
                    username + '</span> <span class="spanTel">' + tel + '</span></li>';
                    html += li;
                }
            }
            if (obj) obj.innerHTML = html;
            return;
        }
    }
    if (obj) obj.innerHTML = "";
}

//==========下面删除联系人相关操作(开始)===========
//删除分组中的联系人
function ShowDelContacts() {
    layer.open({
        content: '确定要从分组中删除选中的联系人吗？'
        , btn: ['删除', '取消']
        , skin: 'footer'
        , yes: function (index) {
            //这里执行删除操作
           // ajaxDelContacts(GroupName);
            ajaxSetList(GroupName); //test
            layer.closeAll();
        }
    });
}

//提交服务器,删除选中的联系人
function ajaxDelContacts(groupName) {
    var contactIds="";//所有选中的联系人ID
    var id;
    //处理选中的联系人，并获得联系人的ids
    var arr = selected.split(";"); //已选的号码
    var contactIds = "";//所有选中的联系人ID
    for (var i = 0; i < arr.length; i++) {
        if (arr[i] != "") {
            var str = arr[i].split(",");
            contactIds += str[2] + ",";
        }
    }
    contactIds = contactIds.trimEnd(',');

    if (!contactIds) { alert2("您当前没有选择任何联系人!"); return; }
    contactIds = contactIds.trimEnd(",");
    //将数据保存到服务器
    $.ajax({
            type: "POST",
            url: "http://msg.106117.com/contacts_ajax.ashx",
            dataType: "json",
            data: {
                "token": localStorage.token,
                "action": "delList2",
                "groupName": groupName,
                "contactsList": contactIds
            },
            timeout: 30000,
            crossDomain: true,
            success: function (data, textStatus) {
                if (data.status == 1) {
                    //在这里刷新一下分组
                      localDelContacts2(groupName, contactIds); //更新本地缓存
                      localStorage.contactsGroup = ""; //更新分组缓存
                      localStorage.FirstOpen == 1; //设置打开状态，可刷新首页
                    //ShowContacts(GroupName, "list");
                    window.location.reload();
                } else {
                    alert2('保存分组失败：' + data.msg);
                }
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                alert2("出错提示：" + errorThrown); //test
            }
        });
}

//本地删除联系人操作
function localDelContacts2(groupName, list) {
    var id;
    if (groupName && list) {
        localInit();
        var groupId = GetGroupId(groupName);
        if (groupId !== -1) {
            var contactsOne = ArrGroupList[groupId].toString();
            var arrContactsOne = contactsOne.split(",");
            if (arrContactsOne.length > 0) {
                var arrDelList = list.toString().split(",");
                for (var i = 0; i < arrDelList.length; i++) {
                    id = arrContactsOne.indexOf(arrDelList[i]);
                    if (id !== -1) {
                        arrContactsOne.splice(id, 1);
                    }
                }
                ArrGroupList[groupId] = arrContactsOne.join(",");
                localStorage.groupList = JSON.stringify(ArrGroupList);
                return;
            }
        }
    }
}

//更新本地缓存20190919新增
function localSetList(groupName, list) {
    var id;
    if (groupName) {
        localInit();
        var groupId = GetGroupId(groupName);
        if (groupId !== -1) {
            ArrGroupList[groupId] = list;
            localStorage.groupList = JSON.stringify(ArrGroupList);
        }
    }
}

//设置当前分组的联系人,20190919新增
function ajaxSetList(groupName) {
    var contactIds = "";//所有选中的联系人ID
    var id;
    //处理选中的联系人，并获得联系人的ids
    var arr = subSet(groupContacts,selected);//当前分组删除后余下的号码，这种方式可清除多余的号码

    var contactIds = "";//所有选中的联系人ID
    for (var i = 0; i < arr.length; i++) {
        if (arr[i] != "") {
            var str = arr[i].split(",");
            contactIds += str[2] + ",";
        }
    }
    contactIds = contactIds.trimEnd(',');

    //将数据保存到服务器
    $.ajax({
        type: "POST",
        url: "http://msg.106117.com/contacts_ajax.ashx",
        dataType: "json",
        data: {
            "token": localStorage.token,
            "action": "setList",
            "groupName": groupName,
            "contactsList": contactIds
        },
        timeout: 30000,
        crossDomain: true,
        success: function (data, textStatus) {
            if (data.status == 1) {
                //在这里刷新一下分组
                localSetList(groupName, contactIds); //更新本地缓存
                localStorage.contactsGroup = ""; //更新分组缓存
                localStorage.FirstOpen == 1; //设置打开状态，可刷新首页
                window.location.reload();
            } else {
                alert2('保存分组失败：' + data.msg);
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            alert2("出错提示：" + errorThrown); //test
        }
    });
}
