﻿
//远程加载节日信息
$(document).ready(function () {
     getHolidayPublic();
    getHolidayList();
});

//得到常用节日列表
function getHolidayPublic() {
    var obj = document.getElementById("main");
    if (!obj) return;

    $(".main").load("http://msg.106117.com/Holiday.ashx?action=holidayList", function () {
        $(".span3").after("<span class='span4'>定时群发<span>");
        $(".span4").click(function () {
            var time = $(this).parent().find(".span2").html();
            time = time.replace(/\//g, "-");
            //这里设置定时变量
            sessionStorage.isTime = 1;
            sessionStorage.sendTime = time + " 10:00:00";
            location.href = "Send.html";
            return false;
        })
    });

}



//得到菜单列表
function getHolidayList() {
    var obj = document.getElementById("holidayMain");
    if (!obj) return;
    if (Debug) localStorage.cJRLB = ""; //test

    if (localStorage.cJRLB) {
        obj.innerHTML = localStorage.cJRLB;
    } else {
        jQuery.ajax({
            url: "http://msg.106117.com/HolidayGroup.ashx",
            type: "get",
            data: {},
            dataType: "html",
            success: function (msg) {
                //先保存在缓存中
                localStorage.cJRLB = msg;
                obj.innerHTML = msg;
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
            },
            complete: function (XMLHttpRequest, textStatus) {
                this; // 调用本次AJAX请求时传递的options参数
            }
        });
    }
}

//弹出菜单
function openHolidayList() {
    var obj = document.getElementById("openMenu");
    if (obj) {
        var content = obj.innerHTML;
        dialogContent(content);
        //设置高度
        var height = localStorage.deviceHeight - 50;
        $(".holidayGroupList").height(height);
    }
}

//设定头部空白高度（需兼容iOS）
function setHeadBlank(height) {
    var obj = document.getElementById("headBlank");
    if (obj) {
        obj.style.height = height;
    }
}

